<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\InstallController;
use App\Http\Controllers\EventsController;
use App\Http\Controllers\B4youController;
use App\Http\Controllers\BraipController;
use App\Http\Controllers\CaktoController;
use App\Http\Controllers\CartController;
use App\Http\Controllers\CeletusController;
use App\Http\Controllers\CinqPayController;
use App\Http\Controllers\EduzzController;
use App\Http\Controllers\GreennController;
use App\Http\Controllers\HebreusController;
use App\Http\Controllers\HotmartController;
use App\Http\Controllers\KiwifyController;
use App\Http\Controllers\KirvanoController;
use App\Http\Controllers\LastLinkController;
use App\Http\Controllers\LunaController;
use App\Http\Controllers\MundpayController;
use App\Http\Controllers\OnProfitController;
use App\Http\Controllers\PaytController;
use App\Http\Controllers\PerfectPayController;
use App\Http\Controllers\PostbackController;
use App\Http\Controllers\RisePayController;
use App\Http\Controllers\TictoController;
use App\Http\Controllers\YampiController;

Route::get('/', function () {
    return view('welcome');
});

Route::get('/instalar', [InstallController::class, 'run']);

Route::post('/events/send', [EventsController::class, 'send']);

Route::post('/webhook/b4you', [B4youController::class, 'B4you']);
Route::post('/webhook/braip', [BraipController::class, 'Braip']);
Route::post('/webhook/cakto', [CaktoController::class, 'Cakto']);
Route::post('/webhook/cart', [CartController::class, 'Cart']);
Route::post('/webhook/celetus', [CeletusController::class, 'Celetus']);
Route::post('/webhook/cinqpay', [CinqPayController::class, 'CinqPay']);
Route::post('/webhook/eduzz', [EduzzController::class, 'Eduzz']);
Route::post('/webhook/greenn', [GreennController::class, 'Greenn']);
Route::post('/webhook/hebreus', [HebreusController::class, 'Hebreus']);
Route::post('/webhook/hotmart', [HotmartController::class, 'Hotmart']);
Route::post('/webhook/kiwify', [KiwifyController::class, 'Kiwify']);
Route::post('/webhook/kirvano', [KirvanoController::class, 'Kirvano']);
Route::post('/webhook/lastlink', [LastLinkController::class, 'LastLink']);
Route::post('/webhook/luna', [LunaController::class, 'Luna']);
Route::post('/webhook/mundpay', [MundpayController::class, 'Mundpay']);
Route::post('/webhook/onprofit', [OnProfitController::class, 'OnProfit']);
Route::post('/webhook/payt', [PaytController::class, 'Payt']);
Route::post('/webhook/perfectpay', [PerfectPayController::class, 'PerfectPay']);
Route::post('/webhook/risepay', [RisePayController::class, 'RisePay']);
Route::post('/webhook/ticto', [TictoController::class, 'Ticto']);
Route::post('/webhook/yampi', [YampiController::class, 'Yampi']);

Route::get('/postback', [PostbackController::class, 'Postback']);

Route::middleware(['auth:sanctum'])->group(function () {
});

Route::middleware('auth:sanctum')->prefix('api')->group(function () {
    
});